Get Dashboard data
curl --request GET \
--url https://api.birdeye.com/resources/v1/reports/smbimport requests
url = "https://api.birdeye.com/resources/v1/reports/smb"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.birdeye.com/resources/v1/reports/smb', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allTime": {
"avgRating": {
"percentChange": 0,
"rating": 4.3
},
"benchmark": {
"industryRating": 4.1,
"industryReviewCount": 75785,
"percentChange": 4,
"rating": 4.3
},
"custCommn": {},
"reviewCount": {
"count": 376,
"percentChange": 0
},
"sentiments": {
"negative": 45,
"neutral": 36,
"positive": 295
},
"visitors": {}
},
"last30Days": {
"avgRating": {
"rating": 0
},
"benchmark": {
"industryRating": 0,
"industryReviewCount": 0,
"percentChange": 0,
"rating": 0
},
"custCommn": {
"reviewRequest": 0,
"reviewRequestSms": 0,
"shareReview": 0
},
"reviewCount": {
"count": 0,
"percentChange": 0
},
"sentiments": {
"negative": 0,
"neutral": 0,
"positive": 0
},
"visitors": {}
},
"negativeReviews": [
{
"comments": "One word...inconsistent. We had high hopes for this place but alas it was not to be. While the servers were polite, they lacked the professionalism normally expected at most dining establishments...you know, simple things like the waiter introducing himself by name or dropping by to see how we liked the food or refilling our drinks. The minestrone soup was pretty good but the fried calamari was bland, rubbery, obviously over cooked, and did I mention bland. The linguini pescatora was also inconsistent. The pasta in the dish was excellent but the calamari was once again over cooked and rubbery, I got a couple of clams that were not cleaned resulting in a few mouthfuls of dirt, and the shrimp was once again over cooked. We also ordered the margherita pizza with mushrooms and that was pretty good. Overall, we cannot recommend this place.",
"rating": 1,
"response": "",
"reviewDate": "Jan 30, 2015",
"reviewId": "2335311245464",
"reviewUrl": "http://www.citysearch.com/biz/maria-da-vittorio-san-francisco?hrid=60fLFX4lRvHnodkhoWC2lw&nb=1",
"reviewer": {
"city": "Yorba Linda",
"nickName": "wendy w.",
"state": "CA",
"thumbnailUrl": "http://d2xt3xymj142xp.cloudfront.net/reviewer/9a070cf98f014f5d9b06987dcc9c48fe.jpeg"
},
"sourceType": "citysearch"
},
{
"comments": "Veal Scaloppini, mushrooms, marsala wine, seasonal vegetables and potatoes $24.\nFlavor was great but disappointed in portion 2 small thin slice, I had better portion in North Beach...my shoe sole was large than this portion. I'm petite size woman; still left hungry....not a hungry man plate. Don't waste your money on this one, men.",
"rating": 2,
"response": "",
"reviewDate": "Jan 26, 2015",
"reviewId": "2335208845791",
"reviewUrl": "http://www.citysearch.com/biz/maria-da-vittorio-san-francisco?hrid=FKcQE7naP_Wb4D2ylDsLaQ&nb=1",
"reviewer": {
"city": "San Francisco",
"nickName": "Catalina W.",
"state": "CA",
"thumbnailUrl": "http://d2xt3xymj142xp.cloudfront.net/reviewer/9a070cf98f014f5d9b06987dcc9c48fe.jpeg"
},
"sourceType": "citysearch"
},
{
"comments": "I have to say that this restaurant is very nice but very Loud!:( The bread was old:( The prosciutto appetizer was ridiculous! They only used one slice on six slices of bread:( My husband's main course of the Veal Scallopini was a complete shame! Great sauce but come on! 4 very thin slices of veal w/veggies & red potatoes, he was starving when we got home!:( At $24!!! Ridiculously stingy! My lamb shank & mashed potatoes was superb! No veggies though:( $19 We won't be returning, I was not impressed, I'd rather go to North Beach w/ real Italian dining:) they do have good food but they need to step it up a notch for the prices they charge, I hope they read they're review's so they can change things, Good luck",
"rating": 2,
"response": "",
"reviewDate": "Jan 26, 2015",
"reviewId": "2337522245554",
"reviewUrl": "http://www.citysearch.com/biz/maria-da-vittorio-san-francisco?hrid=Xn9XOjZYNknHQu5eF9MteQ&nb=1",
"reviewer": {
"city": "San Francisco",
"nickName": "Adele R.",
"state": "CA"
},
"sourceType": "citysearch"
}
],
"positiveReviews": [
{
"comments": "Service is awesome- everyone is from Italy and are so sweet and low the menu/specials from head to toe. Great wine selection that's pretty reasonable. The Bruschetta varieties are unique and yummy. Sometimes main dishes can be hit or miss-not very consistent but it's a new restaurant that I can see establish itself a few great dishes overtime.",
"rating": 4,
"response": "",
"reviewDate": "Jan 23, 2015",
"reviewId": "2334445645625",
"reviewUrl": "http://www.citysearch.com/biz/maria-da-vittorio-san-francisco?hrid=YYtOE3hvBjp4jYtLgtgBoQ&nb=1",
"reviewer": {
"city": "San Francisco",
"nickName": "Anastasia P.",
"state": "CA",
"thumbnailUrl": "http://d2xt3xymj142xp.cloudfront.net/reviewer/9a070cf98f014f5d9b06987dcc9c48fe.jpeg"
},
"sourceType": "citysearch"
},
{
"comments": "I've been here 3 times in the past year, & it's been good every time.",
"rating": 4,
"response": "",
"reviewDate": "Jan 23, 2015",
"reviewId": "2333514245697",
"reviewUrl": "http://www.citysearch.com/biz/maria-da-vittorio-san-francisco?hrid=3kiZtC-tj-FGLO3GPRqNDA&nb=1",
"reviewer": {
"city": "Daly City",
"nickName": "Matt L.",
"state": "CA"
},
"sourceType": "Citysearch"
},
{
"comments": "Owner is awesome! ! Came here tonight with my parents and sister's family. .highly recommended! ! I will definitely come back here again!",
"rating": 5,
"response": "",
"reviewDate": "Jan 21, 2015",
"reviewId": "2336865297689",
"reviewUrl": "http://www.citysearch.com/biz/maria-da-vittorio-san-francisco?hrid=U8mRtt5vA93l0n7j2H1J_w&nb=1",
"reviewer": {
"city": "San Francisco",
"nickName": "Johnny C.",
"state": "CA",
"thumbnailUrl": "http://d2xt3xymj142xp.cloudfront.net/reviewer/9a070cf98f014f5d9b06987dcc9c48fe.jpeg"
},
"sourceType": "Citysearch"
}
],
"syndication": {
"presenceCount": 0,
"reviewDistribution": [
{
"count": 328,
"name": "citysearch"
},
{
"count": 8,
"name": "Google"
},
{
"count": 1,
"name": "Yellow Pages"
},
{
"count": 16,
"name": "Foursquare"
},
{
"count": 23,
"name": "Facebook"
}
],
"reviewListings": [
{
"id": 2,
"name": "Google",
"url": "https://plus.google.com/112610500708977805079/about?gl=US&hl=en-US"
},
{
"id": 3,
"name": "Citysearch",
"url": "http://www.citysearch.com/biz/maria-da-vittorio-san-francisco"
},
{
"id": 4,
"name": "Yahoo! Local",
"url": "https://local.yahoo.com/info-148859369-maria-da-vittorio-san-francisco"
},
{
"id": 5,
"name": "Yellow Pages",
"url": "http://www.yellowpages.com/san-francisco-ca/mip/maria-da-vittorio-478366944"
},
{
"id": 10,
"name": "Foursquare",
"url": "https://foursquare.com/v/maria-da-vittorio/5195394d498e344eeb952b4f"
},
{
"id": 16,
"name": "Superpages",
"url": "http://www.superpages.com/bp/San-Francisco-CA/maria-Da-Vittorio-L2450131113.htm"
},
{
"id": 33,
"name": "Merchant Circle",
"url": "http://www.merchantcircle.com/business/maria.Da.Vittorio.415-592-8398"
},
{
"id": 63,
"name": "YellowBot",
"url": "http://www.yellowbot.com/maria-da-vittorio-san-francisco-ca.html"
},
{
"id": 84,
"name": "MapQuest",
"url": "http://www.mapquest.com/us/california/italian-restaurants-san-francisco/maria-da-vittorio-284984723"
},
{
"id": 110,
"name": "Facebook",
"url": "https://www.facebook.com/mariadavittorio"
}
]
}
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Report
Dashboard
Get Dashboard Data API gives you an overview of business data with data points like review & rating count, sentiment of reviews, negative/positive reviews, and past 30 days’ reviews with review responses.
GET
/
v1
/
reports
/
smb
Get Dashboard data
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Query Parameters
Id of the Business.
⌘I